5 PRINT"        'MONSTER'  revision by GGGarvoille"
10 PRINT CHR$(26)
15 PRINT:INPUT"What is your name";A$
20 PRINT:PRINT"Well, ";A$;", welcome to the game of 'MONSTER'."
25 PRINT:INPUT"Do you need instructions? (Y or N)";X$
30 IF LEFT$(X$,1)="N" THEN GOTO 450
35 PRINT:PRINT"In the game of 'MONSTER', you attempt to win"
40 PRINT"treasure from various loathsome creatures and"
45 PRINT"leave the forest with as much treasure as possible"
50 PRINT"without getting killed in the process!  At the"
55 PRINT"beginning, you are placed at a randomly chosen"
60 PRINT"location in a forest with a certain number of"
65 PRINT"combat strength points.  As you move through the"
70 PRINT"forest, you will encounter monsters guarding"
75 PRINT"various tempting treasures."
80 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
85 PRINT"At each meeting you are given a choice of fighting"
90 PRINT"the monster, running from it, or bribing it.  If"
95 PRINT"you wish to fight, you will be asked to enter the"
100 PRINT"number of combat points you wish to use.  Enter"
105 PRINT"any number smaller than your present strength."
110 PRINT"Each monster has its own combat strength.  These"
115 PRINT"are as follows:"
120 PRINT
125 PRINT" 10 - MINOTAUR"
130 PRINT" 20 - CYCLOPS"
135 PRINT" 30 - ZOMBIE      NOTE:"
140 PRINT" 40 - GIANT           When you encounter a"
145 PRINT" 50 - HARPY           monster - it's combat"
150 PRINT" 60 - GRIFFIN         strength will be dis-"
155 PRINT" 70 - CHIMERA         played within the"
160 PRINT" 80 - DRAGON          parenthesis after it's"
165 PRINT" 90 - WYVERN          name."
170 PRINT"100 - BASLISK"
175 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
180 PRINT"  If you enter a number equal to the monster's"
185 PRINT"strength, you have a 50-50 chance of defeating it."
190 PRINT"Entering a higher number increases your chances of"
195 PRINT"winning, while entering a smaller number lowers"
200 PRINT"that chance.  No matter how much strength you use,"
205 PRINT"there is a 1 in 1000 chance that the monster will"
210 PRINT"kill you anyway!  Also, the more treasure you have"
215 PRINT"the more strength you need to use to achieve the"
220 PRINT"same odds against the monster in combat.  If you"
225 PRINT"choose to run, your chances of getting away from a"
230 PRINT"monster successfully - decreases as each new"
235 PRINT"monster's strength increases.  Thus you are more"
240 PRINT"likely to get away from a MINOTAUR than a BASLISK."
245 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
250 PRINT"If you succeed in running away, you are placed in"
255 PRINT"a new randomly selected square.  Not getting away"
260 PRINT"usually results in a battle.  Occasionally, while"
265 PRINT"you are running, the monster will catch you - one"
270 PRINT"of the risks of chickening out.  Of course trying"
275 PRINT"to bribe your foe is an age old alternative to"
280 PRINT"running or fighting.  For this, you must use the "
285 PRINT"treasure you have won.  Whether or not you succeed"
290 PRINT"depends on the value of the treasure the monster is"
295 PRINT"guarding.  The more its value, the more you must"
300 PRINT"pay to successfully bribe your adversary.  If"
305 PRINT"the bribe fails, be prepared to fight."
310 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
315 PRINT"Treasure values are:"
320 PRINT
325 PRINT" 10 - Ten Silver Spoons"
330 PRINT" 30 - Jeweled Sword"
335 PRINT" 50 - Jar of Rubies"
340 PRINT" 50 - Fifty Silver Coins"
345 PRINT" 75 - Box of Jewels"
350 PRINT"100 - One Hundrd Gold Pieces"
355 PRINT"200 - Trasure Chest"
360 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
365 PRINT"Movement through the forest is easy: just enter"
370 PRINT"the direction you wish to go-N for North, SE for"
375 PRINT"SouthEast, etc.  The option to reset the display is"
380 PRINT"included (press 1) in case the previous play of"
385 PRINT"the game caused too many lines of text to be"
390 PRINT"printed below the map.  The map will be reprinted"
395 PRINT"and the display cleared .  Your position will be"
400 PRINT"displayed on the map, as well as the location of"
405 PRINT"trees in the forest.  You must go around the"
410 PRINT"trees.  To leave, simply move to any blank area"
415 PRINT"adjacent to the edge of the map.  Scores of 500 to"
420 PRINT"700 are average.  Anything above 1000 is excellent."
425 PRINT"As is common to games of this type, I have left"
430 PRINT"out a number of things that you will have to find"
435 PRINT"out for yourself (I have to have some fun too!)."
440 PRINT"Good luck and good hunting!"
445 PRINT:INPUT"Press 'RETURN' to continue",X$:PRINT CHR$(26)
450 PRINT CHR$(26)
455 RANDOMIZE
460 E$=CHR$(27):'     ESCAPE CHARACTER
465 CLS$=CHR$(26):'   CLEAR SCREEN
470 DC$=E$+"=":'      DIRECT CURSOR ADDRESSING
475 GY$=E$+"g":'      GRAPHICS ON
480 GN$=E$+"G":'      GRAPHICS OFF
485 HO$=E$+CHR$(1):'  CURSOR HOME
490 EP$=E$+"T":'      ERASE TO END OF LINE
495 DY$=E$+")":'      DIM DISPLAY ON
500 DN$=E$+"(":'     DIM DISPLAY OFF
505 UY$=E$+"l":'     START UNDERLINING
510 UN$=E$+"m":'     END UNDERLINING
515 DIM A(10,10):PRINT CLS$
520 CH$(0)=DY$+CHR$(13)+CHR$(13)+DN$:' FIELD CHARACTER(BORDER)
525 CH$(1)=DY$+CHR$(13)+CHR$(13)+DN$:' FIELD CHARACTER(FIELD)
530 CH$(2)=CHR$(10)+CHR$(8):'          TREE
535 CH$(5)=CHR$(0)+CHR$(0)
540 FOR I=1 TO 9:FOR J=1 TO 9:A(I,J)=1:IF RND(1)>.75 THEN A(I,J)=2
545 NEXT J,I
550 X=INT(RND(1)*6+2):Y=INT(RND(1)*6+2)
555 A(X,Y)=5:C=INT(RND(1)*1501+500)
560 GOSUB 1030
565 PRINT"Your strength is ";UY$;C;UN$:GOSUB 685:IF I>11 THEN 565
570 IF M=0 THEN PRINT"You get the treasure free!!":GOTO 805
575 IF M=100 AND N=1 THEN 1025
580 PRINT GN$;"Do you want to (F)ight, (R)un or (B)ribe?"
585 Z9$=INPUT$(1):IF Z9$<>"F" AND Z9$<>"R" AND Z9$<>"B" GOTO 585
590 IF Z9$="F" GOTO 595 ELSE IF Z9$="R" GOTO 640 ELSE IF Z9$="B" GOTO 875 ELSE GOTO 580
595 INPUT"How many combat points do you wish to use";K
600 IF K>C THEN GOSUB 870:PRINT UY$;C;UN$;"Combat points":GOTO 595
605 I=INT(RND(1)*1001):L=2:C=C-K:K=K-.01*Q
610 FOR H=1000 TO 0 STEP-50:IF L*M<=K AND H>=I THEN 795
615 L=L-.1:NEXT
620 PRINT"The monster killed you and you lose everything."
625 PRINT"Do you want to try again?";
630 Z$=INPUT$(1):PRINT CHR$(26):IF Z$="Y" THEN RANDOMIZE C:C=0:Q=0:GOTO 530
635 PRINT:PRINT"So long for now.  Better luck next time!":END
640 PRINT CHR$(26):I=INT(RND(1)*12):IF I=11 THEN 620
645 FOR H=0 TO 10:IF H*10>M AND H<=I THEN 655
650 NEXT:GOTO 910
655 A=X:B=Y
660 X=INT(RND(1)*3-1)+A:Y=INT(RND(1)*3-1)+B
665 IF A(X,Y)>1 THEN 660
670 IF A(X,Y)=0 THEN 1055
675 A(A,B)=1:A(X,Y)=5:IF I<>12 THEN 560
680 RETURN
685 I=INT(RND(1)*18+1):M=I*10:IF I<11 THEN PRINT"A ";
690 ON I GOTO 695,700,705,710,715,720,725,730,735,740,745,950,915,1045,1070,1070,1070,1070
695 PRINT"MINOTAUR (10)";:GOTO 750
700 PRINT"CYCLOPS (20)";:GOTO 750
705 PRINT"ZOMBIE (30)";:GOTO 750
710 PRINT"GIANT (40)";:GOTO 750
715 PRINT"HARPY (50)";:GOTO 750
720 PRINT"GRIFFIN (60)";:GOTO 750
725 PRINT"CHIMERA (70)";:GOTO 750
730 PRINT"DRAGON (80)";:GOTO 750
735 PRINT"WYVERN (90)";:GOTO 750
740 PRINT"BASLISK (100)";:GOTO 750
745 PRINT"NOTHING";:M=0
750 PRINT" is guarding ";:I=INT(RND(1)*7+1)
755 ON I GOTO 760,765,770,775,780,785,790
760 PRINT"Ten Silver Spoons":P=10:RETURN
765 PRINT"a Jeweled Sword":P=30:RETURN
770 PRINT"a Jar of Rubies":P=50:RETURN
775 PRINT"a Treasure Chest":P=200:RETURN
780 PRINT"Fifty Silver Coins":P=50:RETURN
785 PRINT"100 Gold Pieces":P=100:RETURN
790 PRINT"a Box of Jewels":P=75:RETURN
795 PRINT:PRINT"YOU BEAT THE ";:GOSUB 1125:PRINT
800 S=S+1
805 Q=Q+P
810 IF P=30 THEN GOSUB 975
815 IF P=200 THEN GOSUB 990:GOSUB 1010
820 PRINT"You have ";UY$;Q;UN$;" treasure points"
825 X$="":A=X:B=Y:INPUT"What direction (Hit '1' to re-display)";X$:PRINT CHR$(26):IF X$="" GOTO 825
830 IF X$="1" THEN PRINT CLS$:GOSUB 1030:GOTO 825
835 IF RIGHT$(X$,1)="W" THEN X=X-1
840 IF RIGHT$(X$,1)="E" THEN X=X+1
845 IF LEFT$(X$,1)="N" THEN Y=Y-1
850 IF LEFT$(X$,1)="S" THEN Y=Y+1
855 IF A(X,Y)=0 THEN 1055
860 IF A(X,Y)=2 THEN PRINT CHR$(7);"Oops...You ran into a tree!":X=A:Y=B:GOTO 825
865 A(A,B)=1:A(X,Y)=5:GOTO 560
870 PRINT"You only have";:RETURN
875 INPUT"How much do you want to pay";K
880 IF K>Q THEN GOSUB 870:PRINT UY$;Q;UN$;" treasure points":GOTO 875
885 I=INT(RND(1)*22):L=0:IF I=21 OR K<1 THEN 620
890 FOR H=0 TO 20:IF K<=L*P AND I>=H THEN 905
895 L=L+.1:NEXT
900 PRINT"Your bribe was accepted.";:Q=Q-K:GOTO 820
905 PRINT"Your bribe was not accepted.";
910 PRINT"You must fight":GOTO 595
915 PRINT CHR$(7);
920 PRINT"The guardian of the forest captured you, took half"
925 PRINT"your treasure, and then took you to a new location"
930 PRINT"in the forest...TOUGH LUCK!"
935 Q=Q/2:A=X:B=Y:FOR I9=1 TO 4000:NEXT
940 X=INT(RND(1)*7+2):Y=INT(RND(1)*7+2):IF A(X,Y)<>1 THEN 940
945 A(A,B)=1:A(X,Y)=5:PRINT CHR$(26):GOSUB 1030:I=13:RETURN
950 J=INT(RND(1)*20+1):C=C-J
955 PRINT"You fell into a pit and used ";UY$;J;UN$;"
960 PRINT"combat points to climb out..."
965 IF C<0 THEN PRINT"...but you died while climbing out!":GOTO 625
970 GOTO 655
975 IF RND(1)<.5 OR C>3000 THEN RETURN
980 PRINT"The sword was enchanted and doubles your strength!"
985 C=C*2:RETURN
990 I=INT(RND(1)*10):IF I<>7 THEN RETURN
995 PRINT"Sorry, but the chest was a trap...."
1000 PRINT"You were killed when you opened it!"
1005 GOTO 625
1010 PRINT CHR$(27)
1015 PRINT"A mirror was in the chest..."
1020 PRINT"It will kill any Baslisks you meet":N=1:RETURN
1025 PRINT"Your mirror killed the Baslisk":GOTO 800
1030 GOSUB 1080:PRINT HO$:FOR I=0 TO 10:PRINT TAB(15);:FOR J=0 TO 10
1035 PRINT GY$;CH$(A(J,I));
1040 NEXT J:PRINT GN$:NEXT I:PRINT EP$;GN$:RETURN
1045 IF S<5 THEN 685
1050 PRINT"A giant eagle carried you to safety"
1055 PRINT:PRINT"You survived the forest"
1060 PRINT"You won a treasure total of ";UY$;Q;UN$:PRINT"   CONGRATULATIONS !!"
1065 PRINT"Would you like to play again?":GOTO 630
1070 PRINT"There is nothing to be found here":GOTO 820
1075 END
1080 PRINT DC$;" '";GY$;CH$(5);GN$;" = Your location";
1085 PRINT DC$;CHR$(34);"'";GY$;CH$(2);GN$;" = Tree";
1090 PRINT DC$;"$'";GY$;CH$(0);GN$" = Field"
1095 PRINT DC$;CHR$(34);"5";"NW N NE"
1100 PRINT DC$;"#7";DY$;GY$;CHR$(25);CHR$(13);CHR$(21);GN$;DN$;
1105 PRINT DC$;"$5";"W ";DY$;GY$;CHR$(13);CHR$(13);CHR$(13);GN$;DN$;" E";
1110 PRINT DC$;"%7";DY$;GY$;CHR$(8);CHR$(13);CHR$(10);GN$DN$;
1115 PRINT DC$;"&5";"SW S SE";
1120 RETURN
1125 IF M=10 THEN PRINT"MINOTAUR !!!":RETURN
1130 IF M=20 THEN PRINT"CYCLOPS !!!":RETURN
1135 IF M=30 THEN PRINT"ZOMBIE !!!":RETURN
1140 IF M=40 THEN PRINT"GIANT !!!":RETURN
1145 IF M=50 THEN PRINT"HARPY !!!":RETURN
1150 IF M=60 THEN PRINT"GRIFFIN !!!":RETURN
1155 IF M=70 THEN PRINT"CHIMERA !!!":RETURN
1160 IF M=80 THEN PRINT"DRAGON !!!":RETURN
1165 IF M=90 THEN PRINT"WYVERN !!!":RETURN
1170 IF M=100 THEN PRINT"BASLISK !!!":RETURN
 M=80 THEN PRINT"DRAGON !!!":RETURN
1165 IF M=90 THEN PRINT"WYVERN !!!":RETURN
1170 IF M=100 THEN PR